services:
  backend:
    environment:
      DEV_MODE: "1"
    volumes:
      - ./app:/app/app
      - ./extensions:/app/extensions

  worker:
    environment:
      DEV_MODE: "1"
    volumes:
      - ./app:/app/app
      - ./extensions:/app/extensions
    command: >
      sh -c "watchfiles --filter python 'celery -A app.tasks.celery_app:celery_app worker --loglevel=INFO' /app/app /app/extensions"

  beat:
    environment:
      DEV_MODE: "1"
    volumes:
      - ./app:/app/app
      - ./extensions:/app/extensions
    command: >
      sh -c "watchfiles --filter python 'celery -A app.tasks.celery_app:celery_app beat --loglevel=INFO' /app/app /app/extensions"
  postgres:
    ports:
      - "5432:5432"

